View import status
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v5/imports/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/imports/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/imports/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"journalResults": {
"url": "<string>",
"data": {}
},
"profitAndLossComparison": {
"url": "<string>",
"data": {}
},
"balanceSheetComparison": {
"url": "<string>",
"data": {}
},
"generalLedgerComparison": {
"url": "<string>",
"data": {}
}
}Imports
View import status
View the status of the authenticated user’s import
GET
/
v5
/
imports
/
status
View import status
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 - application/json
Successful operation
Name of the API from which this import originated
Available options:
XERO, QBO Status of the import
Available options:
IN_PROGRESS, COMPLETED, FAILED General Ledger comparison information
Show child attributes
Show child attributes
General Ledger comparison information
Show child attributes
Show child attributes
General Ledger comparison information
Show child attributes
Show child attributes
General Ledger comparison information
Show child attributes
Show child attributes
⌘I